Commit 3ee57dc6 authored by Sam Hocevar's avatar Sam Hocevar

* configure.ac:

   + Factorized the Xinerama code check.
   + If libXv.so is present, ignore libXv_pic.
 * debian/control:
   + Build-depend on zlib1g-dev because ffmpeg uses it by default.
   + Build-depend on libx11-dev, libxext-dev, libxt-dev instead of xlibs-dev.
   + Build-depend on libxv-dev, xlibs-static-pic instead of xlibs-pic.
   + Added a build-dependency on libaudiofile-dev to fix the m68k build.
   + Removed the build dependency on gcc-3.2 because gcc-3.3 no longer ICEs
     on ppc/mpegvideo_altivec.o (Closes: #236442).
   + Build depend on fixed libsdl1.2-dev (>= 1.2.7-5).
   + Override kdelibs4's shlibs value to get VLC into testing.
   + No longer build-depend on dvb-dev.
 * debian/rules:
   + Activated DTS decoding support.
   + Added symlinks for mozilla-firefox (Closes: #239352).
 * debian/copyright:
   + Added faad2 and ffmpeg authors to the copyright (Closes: #212766).
parent cb95cab2
......@@ -2423,14 +2423,6 @@ if test "${enable_x11}" != "no" &&
AX_ADD_PLUGINS([x11])
AX_ADD_LDFLAGS([x11],[-L${x_libraries} -lX11 -lXext])
AX_ADD_CPPFLAGS([x11],[-I${x_includes}])
AC_CHECK_HEADERS(X11/extensions/Xinerama.h, [
CFLAGS="${CFLAGS_save} -L${x_libraries} -lX11 -lXext"
AC_CHECK_LIB(Xinerama, XineramaQueryExtension, [
AC_DEFINE(HAVE_XINERAMA,1,[Define this if you have libXinerama installed])
AX_ADD_LDFLAGS([x11],[-lXinerama])
])
CFLAGS="${CFLAGS_save}"
])
])
CPPFLAGS="${CPPFLAGS_save}"
fi
......@@ -2446,32 +2438,58 @@ if test "${enable_xvideo}" != "no" &&
CPPFLAGS="${CPPFLAGS_save} -I${x_includes}"
AC_CHECK_HEADERS(X11/extensions/Xv.h, [
CFLAGS="${CFLAGS_save} -L${x_libraries} -lX11 -lXext"
AC_CHECK_LIB(Xv_pic,XvPutImage,
# We have Xv_pic, that's good, we can build an xvideo.so plugin !
AX_ADD_PLUGINS([xvideo])
AX_ADD_LDFLAGS([xvideo],[-L${x_libraries} -lX11 -lXext -lXv_pic])
AX_ADD_CPPFLAGS([xvideo],[-I${x_includes}]),
AC_CHECK_LIB(Xv,XvPutImage,[
# We don't have Xv_pic, but we have Xv, let's make xvideo.a as builtin
AC_CHECK_LIB(Xv,XvPutImage,[
# If libXv.so is available, xvideo can be a plugin. Otherwise, we
# test for libXv_pic.
if test -f /usr/X11R6/lib/libXv.so -o -f "${x_libraries}"/libXv.so; then
AX_ADD_PLUGINS([xvideo])
AX_ADD_LDFLAGS([xvideo],[-L${x_libraries} -lX11 -lXext -lXv])
AX_ADD_CPPFLAGS([xvideo],[-I${x_includes}])
],[
# Otherwise... well, do nothing.
:
])
)
AC_CHECK_HEADERS(X11/extensions/Xinerama.h,[
AC_CHECK_LIB(Xinerama, XineramaQueryExtension,[
AC_DEFINE(HAVE_XINERAMA,1,[Define this if you have libXinerama installed])
AX_ADD_LDFLAGS([xvideo],[-lXinerama])
])
AX_ADD_LDFLAGS([xvideo],[-L${x_libraries} -lX11 -lXext -lXv])
else
AC_CHECK_LIB(Xv_pic,XvPutImage,[
AX_ADD_PLUGINS([xvideo])
AX_ADD_CPPFLAGS([xvideo],[-I${x_includes}])
AX_ADD_LDFLAGS([xvideo],[-L${x_libraries} -lX11 -lXext -lXv_pic])
],[
AX_ADD_BUILTINS([xvideo])
AX_ADD_LDFLAGS([xvideo],[-L${x_libraries} -lX11 -lXext -lXv])
AX_ADD_CPPFLAGS([xvideo],[-I${x_includes}])
])
fi
])
CFLAGS="${CFLAGS_save}"
]
CPPFLAGS="${CPPFLAGS_save}")
fi
dnl
dnl Check for the Xinerama extension
dnl
if test "${enable_xvideo}" != "no" &&
(test "${SYS}" != "mingw32" || test "${enable_xvideo}" = "yes"); then
ac_cv_have_xinerama="no"
CPPFLAGS="${CPPFLAGS_save} -I${x_includes}"
CFLAGS="${CFLAGS_save} -L${x_libraries} -lX11 -lXext"
AC_CHECK_HEADERS(X11/extensions/Xinerama.h,[
AC_CHECK_LIB(Xinerama_pic, XineramaQueryExtension,[
AX_ADD_LDFLAGS([xvideo],[-lXinerama_pic])
AX_ADD_LDFLAGS([x11],[-lXinerama_pic])
ac_cv_have_xinerama="yes"
],[
AC_CHECK_LIB(Xinerama, XineramaQueryExtension,[
AX_ADD_LDFLAGS([xvideo],[-lXinerama])
AX_ADD_LDFLAGS([x11],[-lXinerama])
ac_cv_have_xinerama="yes"
])
])
])
if test "${ac_cv_have_xinerama}" = "yes"; then
AC_DEFINE(HAVE_XINERAMA, 1, [Define this if you have libXinerama installed])
fi
CFLAGS="${CFLAGS_save}"
CPPFLAGS="${CPPFLAGS_save}"
fi
dnl
dnl SDL module
dnl
......
vlc (0.7.1-7) unstable; urgency=high
* debian/control:
+ Override kdelibs4's shlibs value to get VLC into testing.
+ No longer build-depend on dvb-dev.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Tue, 20 Apr 2004 18:00:40 +0200
vlc (0.7.1-6) unstable; urgency=low
* debian/control:
+ Removed the build dependency on gcc-3.2 because gcc-3.3 no longer ICEs
on ppc/mpegvideo_altivec.o (Closes: #236442).
+ Build depend on fixed libsdl1.2-dev (>= 1.2.7-5).
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Tue, 6 Apr 2004 10:27:35 +0200
vlc (0.7.1-5) unstable; urgency=low
* debian/control:
+ Added a build-dependency on libaudiofile-dev to fix the m68k build.
* debian/rules:
+ Added symlinks for mozilla-firefox (Closes: #239352).
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Tue, 30 Mar 2004 23:10:20 +0200
vlc (0.7.1-4) unstable; urgency=medium
* extras/ffmpeg/libavcodec/ppc/mpegvideo_ppc.c:
+ Replaced fprintf() with av_log() to fix the powerpc build.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Sun, 21 Mar 2004 13:59:07 +0100
vlc (0.7.1-3) unstable; urgency=medium
* debian/rules:
+ Activated DTS decoding support.
* debian/control:
+ Build-depend on libx11-dev, libxext-dev, libxt-dev instead of xlibs-dev.
+ Build-depend on libxv-dev, xlibs-static-pic instead of xlibs-pic.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Sat, 20 Mar 2004 18:13:43 +0100
vlc (0.7.1-2) unstable; urgency=medium
* debian/control:
+ Build-depend on zlib1g-dev because ffmpeg uses it by default.
* configure.ac:
+ Add -lz to the link flags for plugins that use ffmpeg.
+ Disabled i420_yuy2_altivec for now, because it only has a C version of
the AltiVec routines.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Thu, 4 Mar 2004 17:34:58 +0100
vlc (0.7.1-1) unstable; urgency=medium
* New upstream release.
* debian/copyright:
+ Added faad2 and ffmpeg authors to the copyright (Closes: #212766).
* mozilla/vlcplugin.h:
+ Added the 'video/x-ms-asf' MIME type to the plugin (Closes: #232690).
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> Wed, 3 Mar 2004 10:47:21 +0100
vlc (0.7.0-3) unstable; urgency=medium
* ppc/mpegvideo_altivec.c:
......
......@@ -2,8 +2,7 @@ Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), gettext, xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>= 1.2.2-3.1), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, dvb-dev (>= 1.0.1-6), libdv2-dev, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.4), libdvdplay0-dev (>= 1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.0), libimlib2-dev, libmatroska-dev (>= 0.6.2), libfreetype6-dev, libspeex-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.8), gcc-3.2 [powerpc], liblivemedia-dev, libmpeg2-4-dev
Build-Conflicts: libmpeg2-dev, libmpeg2-0-dev, libmpeg2-1-dev, libmpeg2-2-dev, libmpeg2-3-dev
Build-Depends: debhelper (>= 4.0), gettext, libx11-dev, libxext-dev, libxt-dev, libxv-dev, xlibs-static-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libaudiofile-dev, libsdl1.2-dev (>= 1.2.7-5), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, libdv2-dev, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.4), libdvdplay0-dev (>= 1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.0), libimlib2-dev, libmatroska-dev (>= 0.6.2), libfreetype6-dev, libspeex-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7), libcaca-dev (>= 0.9), liblivemedia-dev, libmpeg2-4-dev, zlib1g-dev, libdts-dev
Standards-Version: 3.6.1.0
Package: vlc
......@@ -184,7 +183,7 @@ Description: multimedia plugin for Mozilla based on VLC
Package: kvlc
Section: kde
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Depends: vlc (= ${Source-Version}), kdelibs4 (>= 4:3.1.5-1), ${misc:Depends}
Recommends: vlc-plugin-arts
Conflicts: vlc-kde (<< 0.5.0)
Replaces: vlc-kde (<< 0.5.0)
......
This package was debianized by Sam Hocevar <sam@zoy.org> on
Mon, 13 Mar 2000 02:21:45 +0100.
It was taken from the CVS tree. See http://developers.videolan.org/cvs.html
It was taken from http://download.videolan.org/pub/vlc/0.7.1/, and the source
tarball also contains the ffmpeg and faad2 trees.
Upstream Authors: The VideoLAN Team <videolan@videolan.org>
Upstream authors: The VideoLAN Team <videolan@videolan.org>
faad2 authors: M. Bakker (mbakker(at)nero.com)
Alexander Kurpiers (a.kurpiers(at)nt.tu-darmstadt.de)
Volker Fischer (v.fischer(at)nt.tu-darmstadt.de)
ffmpeg authors: Fabrice Bellard, BERO, Mario Brito, Alex Beregszaszi,
Tim Ferguson, Brian Foley, Arpad Gereoffy, Philip Gladstone,
Vladimir Gneushev, Falk Hueffner, Zdenek Kabelac, Robin Kay,
Nick Kurshev, Mike Melanson, Michael Niedermayer,
Franois Revol, Roman Shaposhnik, Dieter Shirley,
Juan J. Sierralta, Ewald Snel, Roberto Togni, Lionel Ulmer
VideoLAN is Copyright 1996-2004 The VideoLAN Team
This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
On Debian GNU/Linux systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL'.
#!/usr/bin/make -f
# debian/rules for the VideoLAN Client - uses debhelper.
# $Id: rules,v 1.111 2004/02/10 14:33:17 sam Exp $
# $Id$
# based on Joey Hess's one.
# Uncomment this to turn on verbose mode.
......@@ -49,6 +49,7 @@ CONFIG_FLAGS += \
--enable-caca \
--enable-livedotcom \
--enable-libmpeg2 \
--enable-dts \
$(NULL)
# These ones are currently shipped with VLC
......@@ -88,7 +89,7 @@ configure-stamp:
test -d extras/ffmpeg
if test ! -d CVS; then \
cd extras/ffmpeg \
&& CC=$(CC) ./configure --enable-pp --disable-debug \
&& CC=$(CC) ./configure --enable-pp --enable-zlib --disable-debug \
&& cd libavcodec \
&& $(MAKE); \
fi
......@@ -296,6 +297,11 @@ endif
# Package: mozilla-plugin-vlc
ln -s vlc debian/mozilla-plugin-vlc/usr/share/doc/mozilla-plugin-vlc
mv debian/vlc/usr/lib/mozilla debian/mozilla-plugin-vlc/usr/lib
# links for firefox
mkdir -p debian/mozilla-plugin-vlc/usr/lib/mozilla-firefox/plugins/
ln -s ../../mozilla/plugins/libvlcplugin.so debian/mozilla-plugin-vlc/usr/lib/mozilla-firefox/plugins/
mkdir -p debian/mozilla-plugin-vlc/usr/lib/mozilla-firefox/components/
ln -s ../../mozilla/components/vlcintf.xpt debian/mozilla-plugin-vlc/usr/lib/mozilla-firefox/components/
# Package: kvlc
mv debian/vlc/usr/bin/kvlc debian/kvlc/usr/bin/
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment